((typeof self !== 'undefined' ? self : this)["webpackJsonplegacy_resource"] = (typeof self !== 'undefined' ? self : this)["webpackJsonplegacy_resource"] || []).push([[22],{

/***/ "0eb6":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var tryNodeRequire = __webpack_require__("7c37");
var getBuiltIn = __webpack_require__("d066");
var fails = __webpack_require__("d039");
var create = __webpack_require__("7c73");
var createPropertyDescriptor = __webpack_require__("5c6c");
var defineProperty = __webpack_require__("9bf2").f;
var defineBuiltIn = __webpack_require__("cb2d");
var defineBuiltInAccessor = __webpack_require__("edd0");
var hasOwn = __webpack_require__("1a2d");
var anInstance = __webpack_require__("19aa");
var anObject = __webpack_require__("825a");
var errorToString = __webpack_require__("aa1f");
var normalizeStringArgument = __webpack_require__("e391");
var DOMExceptionConstants = __webpack_require__("cf98");
var clearErrorStack = __webpack_require__("0d26");
var InternalStateModule = __webpack_require__("69f3");
var DESCRIPTORS = __webpack_require__("83ab");
var IS_PURE = __webpack_require__("c430");

var DOM_EXCEPTION = 'DOMException';
var DATA_CLONE_ERR = 'DATA_CLONE_ERR';
var Error = getBuiltIn('Error');
// NodeJS < 17.0 does not expose `DOMException` to global
var NativeDOMException = getBuiltIn(DOM_EXCEPTION) || (function () {
  try {
    // NodeJS < 15.0 does not expose `MessageChannel` to global
    var MessageChannel = getBuiltIn('MessageChannel') || tryNodeRequire('worker_threads').MessageChannel;
    // eslint-disable-next-line es/no-weak-map, unicorn/require-post-message-target-origin -- safe
    new MessageChannel().port1.postMessage(new WeakMap());
  } catch (error) {
    if (error.name === DATA_CLONE_ERR && error.code === 25) return error.constructor;
  }
})();
var NativeDOMExceptionPrototype = NativeDOMException && NativeDOMException.prototype;
var ErrorPrototype = Error.prototype;
var setInternalState = InternalStateModule.set;
var getInternalState = InternalStateModule.getterFor(DOM_EXCEPTION);
var HAS_STACK = 'stack' in new Error(DOM_EXCEPTION);

var codeFor = function (name) {
  return hasOwn(DOMExceptionConstants, name) && DOMExceptionConstants[name].m ? DOMExceptionConstants[name].c : 0;
};

var $DOMException = function DOMException() {
  anInstance(this, DOMExceptionPrototype);
  var argumentsLength = arguments.length;
  var message = normalizeStringArgument(argumentsLength < 1 ? undefined : arguments[0]);
  var name = normalizeStringArgument(argumentsLength < 2 ? undefined : arguments[1], 'Error');
  var code = codeFor(name);
  setInternalState(this, {
    type: DOM_EXCEPTION,
    name: name,
    message: message,
    code: code
  });
  if (!DESCRIPTORS) {
    this.name = name;
    this.message = message;
    this.code = code;
  }
  if (HAS_STACK) {
    var error = new Error(message);
    error.name = DOM_EXCEPTION;
    defineProperty(this, 'stack', createPropertyDescriptor(1, clearErrorStack(error.stack, 1)));
  }
};

var DOMExceptionPrototype = $DOMException.prototype = create(ErrorPrototype);

var createGetterDescriptor = function (get) {
  return { enumerable: true, configurable: true, get: get };
};

var getterFor = function (key) {
  return createGetterDescriptor(function () {
    return getInternalState(this)[key];
  });
};

if (DESCRIPTORS) {
  // `DOMException.prototype.code` getter
  defineBuiltInAccessor(DOMExceptionPrototype, 'code', getterFor('code'));
  // `DOMException.prototype.message` getter
  defineBuiltInAccessor(DOMExceptionPrototype, 'message', getterFor('message'));
  // `DOMException.prototype.name` getter
  defineBuiltInAccessor(DOMExceptionPrototype, 'name', getterFor('name'));
}

defineProperty(DOMExceptionPrototype, 'constructor', createPropertyDescriptor(1, $DOMException));

// FF36- DOMException is a function, but can't be constructed
var INCORRECT_CONSTRUCTOR = fails(function () {
  return !(new NativeDOMException() instanceof Error);
});

// Safari 10.1 / Chrome 32- / IE8- DOMException.prototype.toString bugs
var INCORRECT_TO_STRING = INCORRECT_CONSTRUCTOR || fails(function () {
  return ErrorPrototype.toString !== errorToString || String(new NativeDOMException(1, 2)) !== '2: 1';
});

// Deno 1.6.3- DOMException.prototype.code just missed
var INCORRECT_CODE = INCORRECT_CONSTRUCTOR || fails(function () {
  return new NativeDOMException(1, 'DataCloneError').code !== 25;
});

// Deno 1.6.3- DOMException constants just missed
var MISSED_CONSTANTS = INCORRECT_CONSTRUCTOR
  || NativeDOMException[DATA_CLONE_ERR] !== 25
  || NativeDOMExceptionPrototype[DATA_CLONE_ERR] !== 25;

var FORCED_CONSTRUCTOR = IS_PURE ? INCORRECT_TO_STRING || INCORRECT_CODE || MISSED_CONSTANTS : INCORRECT_CONSTRUCTOR;

// `DOMException` constructor
// https://webidl.spec.whatwg.org/#idl-DOMException
$({ global: true, constructor: true, forced: FORCED_CONSTRUCTOR }, {
  DOMException: FORCED_CONSTRUCTOR ? $DOMException : NativeDOMException
});

var PolyfilledDOMException = getBuiltIn(DOM_EXCEPTION);
var PolyfilledDOMExceptionPrototype = PolyfilledDOMException.prototype;

if (INCORRECT_TO_STRING && (IS_PURE || NativeDOMException === PolyfilledDOMException)) {
  defineBuiltIn(PolyfilledDOMExceptionPrototype, 'toString', errorToString);
}

if (INCORRECT_CODE && DESCRIPTORS && NativeDOMException === PolyfilledDOMException) {
  defineBuiltInAccessor(PolyfilledDOMExceptionPrototype, 'code', createGetterDescriptor(function () {
    return codeFor(anObject(this).name);
  }));
}

// `DOMException` constants
for (var key in DOMExceptionConstants) if (hasOwn(DOMExceptionConstants, key)) {
  var constant = DOMExceptionConstants[key];
  var constantName = constant.s;
  var descriptor = createPropertyDescriptor(6, constant.c);
  if (!hasOwn(PolyfilledDOMException, constantName)) {
    defineProperty(PolyfilledDOMException, constantName, descriptor);
  }
  if (!hasOwn(PolyfilledDOMExceptionPrototype, constantName)) {
    defineProperty(PolyfilledDOMExceptionPrototype, constantName, descriptor);
  }
}


/***/ }),

/***/ "2cb0":
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__("9eeb");
if(content.__esModule) content = content.default;
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var add = __webpack_require__("499e").default
var update = add("a8b86f1c", content, true, {"sourceMap":false,"shadowMode":false});

/***/ }),

/***/ "4c53":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var createHTML = __webpack_require__("857a");
var forcedStringHTMLMethod = __webpack_require__("af03");

// `String.prototype.sub` method
// https://tc39.es/ecma262/#sec-string.prototype.sub
$({ target: 'String', proto: true, forced: forcedStringHTMLMethod('sub') }, {
  sub: function sub() {
    return createHTML(this, 'sub', '', '');
  }
});


/***/ }),

/***/ "5cc6":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var createTypedArrayConstructor = __webpack_require__("74e8");

// `Uint8Array` constructor
// https://tc39.es/ecma262/#sec-typedarray-objects
createTypedArrayConstructor('Uint8', function (init) {
  return function Uint8Array(data, byteOffset, length) {
    return init(this, data, byteOffset, length);
  };
});


/***/ }),

/***/ "6193":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Behavior; });
/* harmony import */ var _data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("c7eb");
/* harmony import */ var _data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_slicedToArray_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__("3835");
/* harmony import */ var _data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__("1da1");
/* harmony import */ var _data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_classCallCheck_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__("d4ec");
/* harmony import */ var _data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_createClass_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__("bee2");
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__("4328");
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(qs__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var await_to_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__("1712");
/* harmony import */ var _services_Callback__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__("3631");
/* harmony import */ var _instance__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__("d198");









var Behavior = /*#__PURE__*/function () {
  function Behavior() {
    Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_classCallCheck_js__WEBPACK_IMPORTED_MODULE_3__[/* default */ "a"])(this, Behavior);
  }
  return Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_createClass_js__WEBPACK_IMPORTED_MODULE_4__[/* default */ "a"])(Behavior, null, [{
    key: "getCameraList",
    value: // 获取摄像头列表
    function () {
      var _getCameraList = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_2__[/* default */ "a"])( /*#__PURE__*/Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().mark(function _callee(payload) {
        var _yield$To, _yield$To2, err, res;
        return Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return Object(await_to_js__WEBPACK_IMPORTED_MODULE_6__[/* default */ "a"])(_instance__WEBPACK_IMPORTED_MODULE_8__[/* wizStandardInstance */ "b"].get("/api/area/handover/area/getcameralist?".concat(qs__WEBPACK_IMPORTED_MODULE_5___default.a.stringify(payload))));
            case 2:
              _yield$To = _context.sent;
              _yield$To2 = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_slicedToArray_js__WEBPACK_IMPORTED_MODULE_1__[/* default */ "a"])(_yield$To, 2);
              err = _yield$To2[0];
              res = _yield$To2[1];
              return _context.abrupt("return", Object(_services_Callback__WEBPACK_IMPORTED_MODULE_7__[/* default */ "a"])(err, res));
            case 7:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      function getCameraList(_x) {
        return _getCameraList.apply(this, arguments);
      }
      return getCameraList;
    }() // 更新列表
  }, {
    key: "updateCameraList",
    value: function () {
      var _updateCameraList = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_2__[/* default */ "a"])( /*#__PURE__*/Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().mark(function _callee2(payload) {
        var _yield$To3, _yield$To4, err, res;
        return Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().wrap(function _callee2$(_context2) {
          while (1) switch (_context2.prev = _context2.next) {
            case 0:
              _context2.next = 2;
              return Object(await_to_js__WEBPACK_IMPORTED_MODULE_6__[/* default */ "a"])(_instance__WEBPACK_IMPORTED_MODULE_8__[/* wizStandardInstance */ "b"].post('/api/share/common/update_table', payload));
            case 2:
              _yield$To3 = _context2.sent;
              _yield$To4 = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_slicedToArray_js__WEBPACK_IMPORTED_MODULE_1__[/* default */ "a"])(_yield$To3, 2);
              err = _yield$To4[0];
              res = _yield$To4[1];
              return _context2.abrupt("return", Object(_services_Callback__WEBPACK_IMPORTED_MODULE_7__[/* default */ "a"])(err, res));
            case 7:
            case "end":
              return _context2.stop();
          }
        }, _callee2);
      }));
      function updateCameraList(_x2) {
        return _updateCameraList.apply(this, arguments);
      }
      return updateCameraList;
    }() // 获取底部列表
  }, {
    key: "getBottomList",
    value: function () {
      var _getBottomList = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_2__[/* default */ "a"])( /*#__PURE__*/Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().mark(function _callee3(payload) {
        var _yield$To5, _yield$To6, err, res;
        return Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().wrap(function _callee3$(_context3) {
          while (1) switch (_context3.prev = _context3.next) {
            case 0:
              _context3.next = 2;
              return Object(await_to_js__WEBPACK_IMPORTED_MODULE_6__[/* default */ "a"])(_instance__WEBPACK_IMPORTED_MODULE_8__[/* wizStandardInstance */ "b"].get("/api/Rpt_Camera/rpt_camera_page_list?ext_attribute4=".concat(payload.ext_attribute4)));
            case 2:
              _yield$To5 = _context3.sent;
              _yield$To6 = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_slicedToArray_js__WEBPACK_IMPORTED_MODULE_1__[/* default */ "a"])(_yield$To5, 2);
              err = _yield$To6[0];
              res = _yield$To6[1];
              return _context3.abrupt("return", Object(_services_Callback__WEBPACK_IMPORTED_MODULE_7__[/* default */ "a"])(err, res));
            case 7:
            case "end":
              return _context3.stop();
          }
        }, _callee3);
      }));
      function getBottomList(_x3) {
        return _getBottomList.apply(this, arguments);
      }
      return getBottomList;
    }() // 摄像头配置——>上传接口
  }, {
    key: "uploadFile",
    value: function () {
      var _uploadFile = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_2__[/* default */ "a"])( /*#__PURE__*/Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().mark(function _callee4(payload) {
        var _yield$To7, _yield$To8, err, res;
        return Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().wrap(function _callee4$(_context4) {
          while (1) switch (_context4.prev = _context4.next) {
            case 0:
              _context4.next = 2;
              return Object(await_to_js__WEBPACK_IMPORTED_MODULE_6__[/* default */ "a"])(_instance__WEBPACK_IMPORTED_MODULE_8__[/* wizStandardInstance */ "b"].post('/api/std/StdClassData/upload', payload, {
                'Content-Type': 'multipart/form-data'
              }));
            case 2:
              _yield$To7 = _context4.sent;
              _yield$To8 = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_slicedToArray_js__WEBPACK_IMPORTED_MODULE_1__[/* default */ "a"])(_yield$To7, 2);
              err = _yield$To8[0];
              res = _yield$To8[1];
              return _context4.abrupt("return", Object(_services_Callback__WEBPACK_IMPORTED_MODULE_7__[/* default */ "a"])(err, res));
            case 7:
            case "end":
              return _context4.stop();
          }
        }, _callee4);
      }));
      function uploadFile(_x4) {
        return _uploadFile.apply(this, arguments);
      }
      return uploadFile;
    }() // 摄像头配置——>更新字段
  }, {
    key: "updateTable",
    value: function () {
      var _updateTable = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_2__[/* default */ "a"])( /*#__PURE__*/Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().mark(function _callee5(payload) {
        var _yield$To9, _yield$To10, err, res;
        return Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().wrap(function _callee5$(_context5) {
          while (1) switch (_context5.prev = _context5.next) {
            case 0:
              _context5.next = 2;
              return Object(await_to_js__WEBPACK_IMPORTED_MODULE_6__[/* default */ "a"])(_instance__WEBPACK_IMPORTED_MODULE_8__[/* wizStandardInstance */ "b"].post('/api/share/common/update_table', payload));
            case 2:
              _yield$To9 = _context5.sent;
              _yield$To10 = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_resource_ui_node_modules_babel_runtime_helpers_esm_slicedToArray_js__WEBPACK_IMPORTED_MODULE_1__[/* default */ "a"])(_yield$To9, 2);
              err = _yield$To10[0];
              res = _yield$To10[1];
              return _context5.abrupt("return", Object(_services_Callback__WEBPACK_IMPORTED_MODULE_7__[/* default */ "a"])(err, res));
            case 7:
            case "end":
              return _context5.stop();
          }
        }, _callee5);
      }));
      function updateTable(_x5) {
        return _updateTable.apply(this, arguments);
      }
      return updateTable;
    }()
  }]);
}();


/***/ }),

/***/ "81b2":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var global = __webpack_require__("da84");
var getBuiltIn = __webpack_require__("d066");
var uncurryThis = __webpack_require__("e330");
var call = __webpack_require__("c65b");
var fails = __webpack_require__("d039");
var toString = __webpack_require__("577e");
var validateArgumentsLength = __webpack_require__("d6d6");
var c2i = __webpack_require__("b917").c2i;

var disallowed = /[^\d+/a-z]/i;
var whitespaces = /[\t\n\f\r ]+/g;
var finalEq = /[=]{1,2}$/;

var $atob = getBuiltIn('atob');
var fromCharCode = String.fromCharCode;
var charAt = uncurryThis(''.charAt);
var replace = uncurryThis(''.replace);
var exec = uncurryThis(disallowed.exec);

var BASIC = !!$atob && !fails(function () {
  return $atob('aGk=') !== 'hi';
});

var NO_SPACES_IGNORE = BASIC && fails(function () {
  return $atob(' ') !== '';
});

var NO_ENCODING_CHECK = BASIC && !fails(function () {
  $atob('a');
});

var NO_ARG_RECEIVING_CHECK = BASIC && !fails(function () {
  $atob();
});

var WRONG_ARITY = BASIC && $atob.length !== 1;

var FORCED = !BASIC || NO_SPACES_IGNORE || NO_ENCODING_CHECK || NO_ARG_RECEIVING_CHECK || WRONG_ARITY;

// `atob` method
// https://html.spec.whatwg.org/multipage/webappapis.html#dom-atob
$({ global: true, bind: true, enumerable: true, forced: FORCED }, {
  atob: function atob(data) {
    validateArgumentsLength(arguments.length, 1);
    // `webpack` dev server bug on IE global methods - use call(fn, global, ...)
    if (BASIC && !NO_SPACES_IGNORE && !NO_ENCODING_CHECK) return call($atob, global, data);
    var string = replace(toString(data), whitespaces, '');
    var output = '';
    var position = 0;
    var bc = 0;
    var length, chr, bs;
    if (string.length % 4 === 0) {
      string = replace(string, finalEq, '');
    }
    length = string.length;
    if (length % 4 === 1 || exec(disallowed, string)) {
      throw new (getBuiltIn('DOMException'))('The string is not correctly encoded', 'InvalidCharacterError');
    }
    while (position < length) {
      chr = charAt(string, position++);
      bs = bc % 4 ? bs * 64 + c2i[chr] : c2i[chr];
      if (bc++ % 4) output += fromCharCode(255 & bs >> (-2 * bc & 6));
    } return output;
  }
});


/***/ }),

/***/ "857a":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var uncurryThis = __webpack_require__("e330");
var requireObjectCoercible = __webpack_require__("1d80");
var toString = __webpack_require__("577e");

var quot = /"/g;
var replace = uncurryThis(''.replace);

// `CreateHTML` abstract operation
// https://tc39.es/ecma262/#sec-createhtml
module.exports = function (string, tag, attribute, value) {
  var S = toString(requireObjectCoercible(string));
  var p1 = '<' + tag;
  if (attribute !== '') p1 += ' ' + attribute + '="' + replace(toString(value), quot, '&quot;') + '"';
  return p1 + '>' + S + '</' + tag + '>';
};


/***/ }),

/***/ "8952":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_windicss_webpack_plugin_dist_loaders_windicss_style_pitcher_cjs_node_modules_vue_style_loader_index_js_ref_8_oneOf_1_0_node_modules_css_loader_index_js_ref_8_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_2_node_modules_windicss_webpack_plugin_dist_loaders_windicss_template_cjs_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_3_node_modules_sass_loader_dist_cjs_js_ref_8_oneOf_1_4_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_saveOrShareMarker_vue_vue_type_style_index_0_id_044885ac_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("2cb0");
/* harmony import */ var _node_modules_windicss_webpack_plugin_dist_loaders_windicss_style_pitcher_cjs_node_modules_vue_style_loader_index_js_ref_8_oneOf_1_0_node_modules_css_loader_index_js_ref_8_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_2_node_modules_windicss_webpack_plugin_dist_loaders_windicss_template_cjs_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_3_node_modules_sass_loader_dist_cjs_js_ref_8_oneOf_1_4_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_saveOrShareMarker_vue_vue_type_style_index_0_id_044885ac_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_windicss_webpack_plugin_dist_loaders_windicss_style_pitcher_cjs_node_modules_vue_style_loader_index_js_ref_8_oneOf_1_0_node_modules_css_loader_index_js_ref_8_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_2_node_modules_windicss_webpack_plugin_dist_loaders_windicss_template_cjs_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_3_node_modules_sass_loader_dist_cjs_js_ref_8_oneOf_1_4_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_saveOrShareMarker_vue_vue_type_style_index_0_id_044885ac_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */


/***/ }),

/***/ "8bd4":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var getBuiltIn = __webpack_require__("d066");
var setToStringTag = __webpack_require__("d44e");

var DOM_EXCEPTION = 'DOMException';

// `DOMException.prototype[@@toStringTag]` property
setToStringTag(getBuiltIn(DOM_EXCEPTION), DOM_EXCEPTION);


/***/ }),

/***/ "9eeb":
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__("2350")(false);
// imports


// module
exports.push([module.i, ".marker[data-v-044885ac]{top:50%;left:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);padding:10px;height:260px;width:450px;z-index:1}.close_icon[data-v-044885ac]{top:26px;right:26px}[data-v-044885ac] .el-card__body,[data-v-044885ac] .el-card__header{background-color:#fff}[data-v-044885ac] .el-select{width:76%}", ""]);

// exports


/***/ }),

/***/ "aa1f":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var DESCRIPTORS = __webpack_require__("83ab");
var fails = __webpack_require__("d039");
var anObject = __webpack_require__("825a");
var normalizeStringArgument = __webpack_require__("e391");

var nativeErrorToString = Error.prototype.toString;

var INCORRECT_TO_STRING = fails(function () {
  if (DESCRIPTORS) {
    // Chrome 32- incorrectly call accessor
    // eslint-disable-next-line es/no-object-create, es/no-object-defineproperty -- safe
    var object = Object.create(Object.defineProperty({}, 'name', { get: function () {
      return this === object;
    } }));
    if (nativeErrorToString.call(object) !== 'true') return true;
  }
  // FF10- does not properly handle non-strings
  return nativeErrorToString.call({ message: 1, name: 2 }) !== '2: 1'
    // IE8 does not properly handle defaults
    || nativeErrorToString.call({}) !== 'Error';
});

module.exports = INCORRECT_TO_STRING ? function toString() {
  var O = anObject(this);
  var name = normalizeStringArgument(O.name, 'Error');
  var message = normalizeStringArgument(O.message);
  return !name ? message : !message ? name : name + ': ' + message;
} : nativeErrorToString;


/***/ }),

/***/ "af03":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var fails = __webpack_require__("d039");

// check the existence of a method, lowercase
// of a tag and escaping quotes in arguments
module.exports = function (METHOD_NAME) {
  return fails(function () {
    var test = ''[METHOD_NAME]('"');
    return test !== test.toLowerCase() || test.split('"').length > 3;
  });
};


/***/ }),

/***/ "b7ef":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var global = __webpack_require__("da84");
var getBuiltIn = __webpack_require__("d066");
var createPropertyDescriptor = __webpack_require__("5c6c");
var defineProperty = __webpack_require__("9bf2").f;
var hasOwn = __webpack_require__("1a2d");
var anInstance = __webpack_require__("19aa");
var inheritIfRequired = __webpack_require__("7156");
var normalizeStringArgument = __webpack_require__("e391");
var DOMExceptionConstants = __webpack_require__("cf98");
var clearErrorStack = __webpack_require__("0d26");
var DESCRIPTORS = __webpack_require__("83ab");
var IS_PURE = __webpack_require__("c430");

var DOM_EXCEPTION = 'DOMException';
var Error = getBuiltIn('Error');
var NativeDOMException = getBuiltIn(DOM_EXCEPTION);

var $DOMException = function DOMException() {
  anInstance(this, DOMExceptionPrototype);
  var argumentsLength = arguments.length;
  var message = normalizeStringArgument(argumentsLength < 1 ? undefined : arguments[0]);
  var name = normalizeStringArgument(argumentsLength < 2 ? undefined : arguments[1], 'Error');
  var that = new NativeDOMException(message, name);
  var error = new Error(message);
  error.name = DOM_EXCEPTION;
  defineProperty(that, 'stack', createPropertyDescriptor(1, clearErrorStack(error.stack, 1)));
  inheritIfRequired(that, this, $DOMException);
  return that;
};

var DOMExceptionPrototype = $DOMException.prototype = NativeDOMException.prototype;

var ERROR_HAS_STACK = 'stack' in new Error(DOM_EXCEPTION);
var DOM_EXCEPTION_HAS_STACK = 'stack' in new NativeDOMException(1, 2);

// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var descriptor = NativeDOMException && DESCRIPTORS && Object.getOwnPropertyDescriptor(global, DOM_EXCEPTION);

// Bun ~ 0.1.1 DOMException have incorrect descriptor and we can't redefine it
// https://github.com/Jarred-Sumner/bun/issues/399
var BUGGY_DESCRIPTOR = !!descriptor && !(descriptor.writable && descriptor.configurable);

var FORCED_CONSTRUCTOR = ERROR_HAS_STACK && !BUGGY_DESCRIPTOR && !DOM_EXCEPTION_HAS_STACK;

// `DOMException` constructor patch for `.stack` where it's required
// https://webidl.spec.whatwg.org/#es-DOMException-specialness
$({ global: true, constructor: true, forced: IS_PURE || FORCED_CONSTRUCTOR }, { // TODO: fix export logic
  DOMException: FORCED_CONSTRUCTOR ? $DOMException : NativeDOMException
});

var PolyfilledDOMException = getBuiltIn(DOM_EXCEPTION);
var PolyfilledDOMExceptionPrototype = PolyfilledDOMException.prototype;

if (PolyfilledDOMExceptionPrototype.constructor !== PolyfilledDOMException) {
  if (!IS_PURE) {
    defineProperty(PolyfilledDOMExceptionPrototype, 'constructor', createPropertyDescriptor(1, PolyfilledDOMException));
  }

  for (var key in DOMExceptionConstants) if (hasOwn(DOMExceptionConstants, key)) {
    var constant = DOMExceptionConstants[key];
    var constantName = constant.s;
    if (!hasOwn(PolyfilledDOMException, constantName)) {
      defineProperty(PolyfilledDOMException, constantName, createPropertyDescriptor(6, constant.c));
    }
  }
}


/***/ }),

/***/ "b917":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var commonAlphabet = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
var base64Alphabet = commonAlphabet + '+/';
var base64UrlAlphabet = commonAlphabet + '-_';

var inverse = function (characters) {
  // TODO: use `Object.create(null)` in `core-js@4`
  var result = {};
  var index = 0;
  for (; index < 64; index++) result[characters.charAt(index)] = index;
  return result;
};

module.exports = {
  i2c: base64Alphabet,
  c2i: inverse(base64Alphabet),
  i2cUrl: base64UrlAlphabet,
  c2iUrl: inverse(base64UrlAlphabet)
};


/***/ }),

/***/ "cc7b":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.function.name.js
var es_function_name = __webpack_require__("b0c0");

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"0a9deede-vue-loader-template"}!./node_modules/@vue/cli-plugin-babel/node_modules/babel-loader/lib??ref--12-1!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./node_modules/windicss-webpack-plugin/dist/loaders/windicss-template.cjs!./src/modules/resource/views/docView/components/photoEdit/saveOrShareMarker.vue?vue&type=template&id=044885ac&scoped=true

var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('div', {
    staticClass: "marker position-absolute"
  }, [_c('el-card', [_c('div', {
    attrs: {
      "slot": "header"
    },
    slot: "header"
  }, [_c('span', [_vm._v(_vm._s(_vm.title))]), _c('span', {
    staticClass: "iconfont icon-close cur-pointer position-absolute close_icon",
    on: {
      "click": function click($event) {
        return _vm.closeDialog('showEdit');
      }
    }
  })]), _c('el-form', {
    ref: "formLabelAlign",
    attrs: {
      "label-position": "right",
      "label-width": "80px",
      "model": _vm.formLabelAlign,
      "rules": _vm.rules
    }
  }, [_c('el-form-item', {
    attrs: {
      "label": "名称",
      "prop": "name"
    }
  }, [_c('el-input', {
    attrs: {
      "disabled": _vm.disableName
    },
    model: {
      value: _vm.formLabelAlign.name,
      callback: function callback($$v) {
        _vm.$set(_vm.formLabelAlign, "name", $$v);
      },
      expression: "formLabelAlign.name"
    }
  })], 1), _c('el-form-item', {
    attrs: {
      "label": "分享用户"
    }
  }, [_c('el-select', {
    attrs: {
      "disabled": _vm.IsShareAll,
      "filterable": "",
      "multiple": "",
      "placeholder": "请选择"
    },
    model: {
      value: _vm.formLabelAlign.sharePerson,
      callback: function callback($$v) {
        _vm.$set(_vm.formLabelAlign, "sharePerson", $$v);
      },
      expression: "formLabelAlign.sharePerson"
    }
  }, _vm._l(_vm.userList, function (item, index) {
    return _c('el-option', {
      key: index,
      attrs: {
        "label": item.name,
        "value": item.id
      }
    });
  }), 1), _c('el-checkbox', {
    staticClass: "r m-b-10",
    on: {
      "change": _vm.personChange
    },
    model: {
      value: _vm.IsShareAll,
      callback: function callback($$v) {
        _vm.IsShareAll = $$v;
      },
      expression: "IsShareAll"
    }
  }, [_vm._v("所有人")])], 1), _c('el-form-item', {
    attrs: {
      "label": "备注",
      "prop": "remark"
    }
  }, [_c('el-input', {
    attrs: {
      "type": "textarea"
    },
    model: {
      value: _vm.formLabelAlign.remark,
      callback: function callback($$v) {
        _vm.$set(_vm.formLabelAlign, "remark", $$v);
      },
      expression: "formLabelAlign.remark"
    }
  })], 1), _c('el-form-item', [_c('el-button', {
    attrs: {
      "type": "primary"
    },
    on: {
      "click": _vm.onSubmit
    }
  }, [_vm._v("确定")]), _c('el-button', {
    on: {
      "click": function click($event) {
        return _vm.closeDialog('showEdit');
      }
    }
  }, [_vm._v("取消")])], 1)], 1)], 1)], 1);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./src/modules/resource/views/docView/components/photoEdit/saveOrShareMarker.vue?vue&type=template&id=044885ac&scoped=true

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/esm/regeneratorRuntime.js
var regeneratorRuntime = __webpack_require__("c7eb");

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/esm/asyncToGenerator.js
var asyncToGenerator = __webpack_require__("1da1");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array.iterator.js
var es_array_iterator = __webpack_require__("e260");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array-buffer.slice.js
var es_array_buffer_slice = __webpack_require__("ace4");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array-buffer.detached.js
var es_array_buffer_detached = __webpack_require__("2c66");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array-buffer.transfer.js
var es_array_buffer_transfer = __webpack_require__("249d");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array-buffer.transfer-to-fixed-length.js
var es_array_buffer_transfer_to_fixed_length = __webpack_require__("40e9");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.object.to-string.js
var es_object_to_string = __webpack_require__("d3b7");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.regexp.exec.js
var es_regexp_exec = __webpack_require__("ac1f");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.string.match.js
var es_string_match = __webpack_require__("466d");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.string.sub.js
var es_string_sub = __webpack_require__("4c53");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.uint8-array.js
var es_typed_array_uint8_array = __webpack_require__("5cc6");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.at.js
var es_typed_array_at = __webpack_require__("907a");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.copy-within.js
var es_typed_array_copy_within = __webpack_require__("9a8c");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.every.js
var es_typed_array_every = __webpack_require__("a975");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.fill.js
var es_typed_array_fill = __webpack_require__("735e");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.filter.js
var es_typed_array_filter = __webpack_require__("c1ac");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.find.js
var es_typed_array_find = __webpack_require__("d139");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.find-index.js
var es_typed_array_find_index = __webpack_require__("3a7b");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.find-last.js
var es_typed_array_find_last = __webpack_require__("986a");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.find-last-index.js
var es_typed_array_find_last_index = __webpack_require__("1d02");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.for-each.js
var es_typed_array_for_each = __webpack_require__("d5d6");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.includes.js
var es_typed_array_includes = __webpack_require__("82f8");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.index-of.js
var es_typed_array_index_of = __webpack_require__("e91f");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.iterator.js
var es_typed_array_iterator = __webpack_require__("60bd");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.join.js
var es_typed_array_join = __webpack_require__("5f96");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.last-index-of.js
var es_typed_array_last_index_of = __webpack_require__("3280");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.map.js
var es_typed_array_map = __webpack_require__("3fcc");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.reduce.js
var es_typed_array_reduce = __webpack_require__("ca91");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.reduce-right.js
var es_typed_array_reduce_right = __webpack_require__("25a1");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.reverse.js
var es_typed_array_reverse = __webpack_require__("cd26");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.set.js
var es_typed_array_set = __webpack_require__("3c5d");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.slice.js
var es_typed_array_slice = __webpack_require__("2954");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.some.js
var es_typed_array_some = __webpack_require__("649e");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.sort.js
var es_typed_array_sort = __webpack_require__("219c");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.subarray.js
var es_typed_array_subarray = __webpack_require__("170b");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.to-locale-string.js
var es_typed_array_to_locale_string = __webpack_require__("b39a");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.to-reversed.js
var es_typed_array_to_reversed = __webpack_require__("6ce5");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.to-sorted.js
var es_typed_array_to_sorted = __webpack_require__("2834");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.to-string.js
var es_typed_array_to_string = __webpack_require__("72f7");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.typed-array.with.js
var es_typed_array_with = __webpack_require__("4ea1");

// EXTERNAL MODULE: ./node_modules/core-js/modules/web.atob.js
var web_atob = __webpack_require__("81b2");

// EXTERNAL MODULE: ./node_modules/core-js/modules/web.dom-exception.constructor.js
var web_dom_exception_constructor = __webpack_require__("0eb6");

// EXTERNAL MODULE: ./node_modules/core-js/modules/web.dom-exception.stack.js
var web_dom_exception_stack = __webpack_require__("b7ef");

// EXTERNAL MODULE: ./node_modules/core-js/modules/web.dom-exception.to-string-tag.js
var web_dom_exception_to_string_tag = __webpack_require__("8bd4");

// EXTERNAL MODULE: ./src/services/marker.js
var marker = __webpack_require__("78eb");

// EXTERNAL MODULE: ./src/services/Behavior.js
var Behavior = __webpack_require__("6193");

// EXTERNAL MODULE: ./src/assets/js/commonUtil.js
var commonUtil = __webpack_require__("dee7");

// CONCATENATED MODULE: ./node_modules/@vue/cli-plugin-babel/node_modules/thread-loader/dist/cjs.js!./node_modules/@vue/cli-plugin-babel/node_modules/babel-loader/lib??ref--12-1!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./node_modules/windicss-webpack-plugin/dist/loaders/windicss-template.cjs!./src/modules/resource/views/docView/components/photoEdit/saveOrShareMarker.vue?vue&type=script&lang=js

















































/* harmony default export */ var saveOrShareMarkervue_type_script_lang_js = ({
  props: {
    formLabelAlign: {
      type: Object,
      default: function _default() {
        return {
          markingId: '',
          name: '',
          remark: '',
          sharePerson: [],
          cameraPosition: '',
          fileId: '',
          markType: ''
        };
      }
    },
    imgUrl: {
      type: String
    },
    title: {
      type: String
    },
    disableName: {
      type: Boolean
    },
    currentBrowseFile: {
      type: Object
    },
    standardId: {
      type: String
    }
  },
  computed: {
    currentProject: function currentProject() {
      return this.$store.getters.currentProject || {};
    }
  },
  data: function data() {
    return {
      textarea1: '',
      options: [],
      rules: {},
      IsShareAll: false,
      // 是否分享给所有人
      resourceId: '',
      userList: [],
      userInfo: Wiz.AuthHooks.GetUserInfo(),
      currentEnv: Wiz.GetModuleConfig('legacy-resource').currentEnv
    };
  },
  created: function created() {
    var _this = this;
    return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee() {
      return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return _this.getCharactor();
          case 2:
            if (_this.title === '分享标记') {
              _this.rules = {
                name: [{
                  required: true,
                  message: '请输入',
                  trigger: 'blur'
                }],
                sharePerson: [{
                  required: true,
                  message: '请选择被分享人',
                  trigger: 'change'
                }]
              };
            } else {
              _this.rules = {
                name: [{
                  required: true,
                  message: '请输入',
                  trigger: 'blur'
                }]
              };
            }
          case 3:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }))();
  },
  methods: {
    personChange: function personChange(val) {
      if (val) {
        this.formLabelAlign.sharePerson = [];
      }
    },
    closeDialog: function closeDialog(val) {
      // 清空对象中的值
      Object(commonUtil["a" /* resetObjectValue */])(this.formLabelAlign);
      // this.formLabelAlign = this.$options.props.formLabelAlign.default()
      this.$emit('closeComponents', val);
    },
    /**
     * @description: 保存标记或分享标记
     * @param {*}
     * @return {*}
     */
    onSubmit: function onSubmit() {
      var _this2 = this;
      this.$refs.formLabelAlign.validate( /*#__PURE__*/function () {
        var _ref = Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee2(valid) {
          var query, res, file, formData, _res, _query, resSaveMark;
          return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee2$(_context2) {
            while (1) switch (_context2.prev = _context2.next) {
              case 0:
                if (!valid) {
                  _context2.next = 40;
                  break;
                }
                if (!(!_this2.IsShareAll && !_this2.formLabelAlign.sharePerson.length)) {
                  _context2.next = 4;
                  break;
                }
                _this2.$message.warning('分享用户不能为空!');
                return _context2.abrupt("return");
              case 4:
                if (!(_this2.title === '分享标记')) {
                  _context2.next = 15;
                  break;
                }
                query = {
                  twoAndThreeDimensionalMarkingIds: _this2.formLabelAlign.markingId.split(','),
                  sharedPerson: _this2.formLabelAlign.sharePerson,
                  remark: _this2.formLabelAlign.remark,
                  createdUser: _this2.userInfo.sub,
                  IsShareAll: _this2.IsShareAll,
                  siteId: _this2.currentProject ? _this2.currentProject.id : ' '
                };
                _context2.next = 8;
                return marker["a" /* default */].addShareMark(query);
              case 8:
                res = _context2.sent;
                if (!(res && res.code === 0)) {
                  _context2.next = 13;
                  break;
                }
                _this2.$message.success(res.msg);
                _context2.next = 15;
                break;
              case 13:
                _this2.$message.error(res.message);
                return _context2.abrupt("return", false);
              case 15:
                if (!(_this2.title === '保存标记')) {
                  _context2.next = 37;
                  break;
                }
                _context2.next = 18;
                return _this2.dataURLtoFile(_this2.imgUrl, "".concat(_this2.formLabelAlign.name, ".png"));
              case 18:
                file = _context2.sent;
                formData = new FormData();
                formData.append('Id', _this2.currentBrowseFile.fileId);
                formData.append('Remark', '二三维标记');
                _.forIn({
                  file: file
                }, function (value, key) {
                  formData.append(key, value);
                });
                _context2.next = 25;
                return Behavior["a" /* default */].uploadFile(formData);
              case 25:
                _res = _context2.sent;
                if (_.isEmpty(_res)) {
                  _context2.next = 37;
                  break;
                }
                _query = {
                  cameraPosition: _this2.formLabelAlign.cameraPosition,
                  documentFileId: _this2.currentBrowseFile.documentFileId,
                  // 文件id
                  markType: _this2.formLabelAlign.markType,
                  // 标记类型 1为二维标记，2为三维标记
                  name: _this2.formLabelAlign.name,
                  screenshotAttachmentId: _res[0].id,
                  // 截图文件id
                  sharedPerson: _this2.formLabelAlign.sharePerson,
                  isShareAll: _this2.IsShareAll,
                  remark: _this2.formLabelAlign.remark,
                  standardId: _this2.standardId
                  // siteId: this.currentProject ? this.currentProject.id : ' ',
                };
                _context2.next = 30;
                return marker["a" /* default */].saveMark(_query);
              case 30:
                resSaveMark = _context2.sent;
                if (!resSaveMark) {
                  _context2.next = 35;
                  break;
                }
                _this2.$message.success('保存成功');
                _context2.next = 37;
                break;
              case 35:
                _this2.$message.error(resSaveMark.message);
                return _context2.abrupt("return", false);
              case 37:
                _this2.$emit('closeComponents', 'end');
                _context2.next = 41;
                break;
              case 40:
                return _context2.abrupt("return", false);
              case 41:
              case "end":
                return _context2.stop();
            }
          }, _callee2);
        }));
        return function (_x) {
          return _ref.apply(this, arguments);
        };
      }());
    },
    /**
     * @description: 图片转文件
     * @param {*} dataurl
     * @param {*} filename
     * @return {*}
     */
    dataURLtoFile: function dataURLtoFile(dataurl, filename) {
      // 将base64转换为文件，dataurl为base64字符串，filename为文件名（必须带后缀名，如.jpg,.png）
      var arr = dataurl.split(',');
      var mime = arr[0].match(/:(.*?);/)[1];
      var bstr = atob(arr[1]);
      var n = bstr.length;
      var u8arr = new Uint8Array(n);
      while (n--) {
        u8arr[n] = bstr.charCodeAt(n);
      }
      return new File([u8arr], filename, {
        type: mime
      });
    },
    /**
     * @function 获取角色
     */
    getCharactor: function getCharactor() {
      var _this3 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee3() {
        var fileServer, res;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee3$(_context3) {
          while (1) switch (_context3.prev = _context3.next) {
            case 0:
              fileServer = Wiz.GetModuleServer('system-management');
              _context3.next = 3;
              return axios.get("".concat(fileServer, "/api/eaf-user-role/get-users?SkipCount=0&MaxResultCount=999"));
            case 3:
              res = _context3.sent;
              if (res && res.data && res.status === 200) {
                _this3.userList = res.data.items;
              }
            case 5:
            case "end":
              return _context3.stop();
          }
        }, _callee3);
      }))();
    }
  }
});
// CONCATENATED MODULE: ./src/modules/resource/views/docView/components/photoEdit/saveOrShareMarker.vue?vue&type=script&lang=js
 /* harmony default export */ var photoEdit_saveOrShareMarkervue_type_script_lang_js = (saveOrShareMarkervue_type_script_lang_js); 
// EXTERNAL MODULE: ./src/modules/resource/views/docView/components/photoEdit/saveOrShareMarker.vue?vue&type=style&index=0&id=044885ac&prod&lang=scss&scoped=true
var saveOrShareMarkervue_type_style_index_0_id_044885ac_prod_lang_scss_scoped_true = __webpack_require__("8952");

// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__("2877");

// CONCATENATED MODULE: ./src/modules/resource/views/docView/components/photoEdit/saveOrShareMarker.vue






/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  photoEdit_saveOrShareMarkervue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  null,
  "044885ac",
  null
  
)

/* harmony default export */ var saveOrShareMarker = __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ "cf98":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

module.exports = {
  IndexSizeError: { s: 'INDEX_SIZE_ERR', c: 1, m: 1 },
  DOMStringSizeError: { s: 'DOMSTRING_SIZE_ERR', c: 2, m: 0 },
  HierarchyRequestError: { s: 'HIERARCHY_REQUEST_ERR', c: 3, m: 1 },
  WrongDocumentError: { s: 'WRONG_DOCUMENT_ERR', c: 4, m: 1 },
  InvalidCharacterError: { s: 'INVALID_CHARACTER_ERR', c: 5, m: 1 },
  NoDataAllowedError: { s: 'NO_DATA_ALLOWED_ERR', c: 6, m: 0 },
  NoModificationAllowedError: { s: 'NO_MODIFICATION_ALLOWED_ERR', c: 7, m: 1 },
  NotFoundError: { s: 'NOT_FOUND_ERR', c: 8, m: 1 },
  NotSupportedError: { s: 'NOT_SUPPORTED_ERR', c: 9, m: 1 },
  InUseAttributeError: { s: 'INUSE_ATTRIBUTE_ERR', c: 10, m: 1 },
  InvalidStateError: { s: 'INVALID_STATE_ERR', c: 11, m: 1 },
  SyntaxError: { s: 'SYNTAX_ERR', c: 12, m: 1 },
  InvalidModificationError: { s: 'INVALID_MODIFICATION_ERR', c: 13, m: 1 },
  NamespaceError: { s: 'NAMESPACE_ERR', c: 14, m: 1 },
  InvalidAccessError: { s: 'INVALID_ACCESS_ERR', c: 15, m: 1 },
  ValidationError: { s: 'VALIDATION_ERR', c: 16, m: 0 },
  TypeMismatchError: { s: 'TYPE_MISMATCH_ERR', c: 17, m: 1 },
  SecurityError: { s: 'SECURITY_ERR', c: 18, m: 1 },
  NetworkError: { s: 'NETWORK_ERR', c: 19, m: 1 },
  AbortError: { s: 'ABORT_ERR', c: 20, m: 1 },
  URLMismatchError: { s: 'URL_MISMATCH_ERR', c: 21, m: 1 },
  QuotaExceededError: { s: 'QUOTA_EXCEEDED_ERR', c: 22, m: 1 },
  TimeoutError: { s: 'TIMEOUT_ERR', c: 23, m: 1 },
  InvalidNodeTypeError: { s: 'INVALID_NODE_TYPE_ERR', c: 24, m: 1 },
  DataCloneError: { s: 'DATA_CLONE_ERR', c: 25, m: 1 }
};


/***/ }),

/***/ "dee7":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return resetObjectValue; });
/* harmony import */ var core_js_modules_es_array_includes_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("caad");
/* harmony import */ var core_js_modules_es_array_includes_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_array_includes_js__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var core_js_modules_es_object_keys_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__("b64b");
/* harmony import */ var core_js_modules_es_object_keys_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_object_keys_js__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__("d3b7");
/* harmony import */ var core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var core_js_modules_es_string_includes_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__("2532");
/* harmony import */ var core_js_modules_es_string_includes_js__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_string_includes_js__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var core_js_modules_web_dom_collections_for_each_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__("159b");
/* harmony import */ var core_js_modules_web_dom_collections_for_each_js__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_web_dom_collections_for_each_js__WEBPACK_IMPORTED_MODULE_4__);





/*
 * @Author:
 * @LastEditTime: 2022-05-05 18:48:24
 * @Description:zhouhuan
 */
// 给对象中各个属性重新赋值，可赋空，或者赋值另外一个对象中的相同键名对应的键值
var resetObjectValue = function resetObjectValue(currentObj) {
  var otherObj = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var currentObjKeys = Object.keys(currentObj);
  var otherObjKeys = Object.keys(otherObj);
  if (otherObjKeys.length) {
    currentObjKeys.forEach(function (curVal) {
      if (otherObjKeys.includes(curVal)) {
        currentObj[curVal] = otherObj[curVal];
      }
    });
  } else {
    currentObjKeys.forEach(function (key) {
      currentObj[key] = '';
    });
  }
  return currentObj;
};


/***/ })

}]);